#!/bin/bash

#シェルのディレクトリを取得する.
sh_dir=$(cd "$(dirname "$0")"; pwd)

#一時ファイルのパスを取得する.
tmp_file=${sh_dir}/tmp/tmp.txt

#VBScriptファイルのパスをWindows形式で取得する.
vbs_path=`wslpath -w ${sh_dir}/ShowDialog.vbs`

# ダイアログを表示し、入力文字列を一時ファイルに出力する.
cscript.exe //NOLOGO ${vbs_path} > ${tmp_file}

# 一時ファイルの内容を読み込んで改行コード(\r)を削除する.
input= `cat ${tmp_file} | awk 'sub(/\r$/,"")'`

#入力されたコマンドを実行する.
`${input}`
}`
