#include <stdio.h>
#include <windows.h>


int main(int argc, char** argv)
{
	if ( argc < 2 )
	{
		printf("Usage: <mmap-file>\n");
		return 0;
	}

	// t@CJ.
	HANDLE hFile = CreateFile(
			argv[1] , GENERIC_READ | GENERIC_WRITE, FILE_SHARE_READ | FILE_SHARE_WRITE , NULL ,
			OPEN_EXISTING , FILE_ATTRIBUTE_NORMAL , NULL
		);

	if ( hFile == INVALID_HANDLE_VALUE)
	{
		// t@C̃I[vɎs.
		printf("CreateFile() is failed\n");
		return -1;
	}

	// t@Ct@C}bsOIuWFNgɃ}bv.
	HANDLE hMem = CreateFileMapping( hFile, 0, PAGE_READONLY, 0, 0, NULL );
	if( hMem <= 0 )
	{
		// t@C̃}bvɎs.
		printf("CreateFileMapping() is failed\n");
		return -2;
	}

	// t@C}bsOIuWFNgɊ蓖Ă.
	char *ptr;
	ptr = (char*)MapViewOfFile( hMem, FILE_MAP_READ, 0, 0, 0);
	if ( ptr == NULL )
	{
		printf("MapViewOfFile() is failed\n");
		return -3;
	}

	// 1bɃ}bv̓e\.
	while(1)
	{
		printf("%s\n", ptr);
		Sleep(1000);
	}


}