#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/mman.h>
#include <errno.h>


int main(int argc, char** argv)
{
	if ( argc < 2 )
	{
		printf("Usage : <mmap-file>\n");
		return 0;
	}
	
	// t@CI[v.
	int fd = open(argv[1], O_RDWR | O_CREAT, 0666);
	if ( fd < 0 )
	{
		printf("open() is failed\n");
		return -1;
	}

	// t@C
	char buffer[4096];
	memset(buffer, 0x00, 4096);
	write(fd, buffer, 4096);	// t@C0x004096oCg.
	sync();				// obt@tbV.
	lseek(fd, 0, SEEK_SET);		// t@CfBXNv^t@C擪ɃV[N.
	
	
	// t@CɃ}bv.
	char* addr = mmap(NULL, 4096, PROT_WRITE, MAP_SHARED, fd, 0);
	if ( addr == MAP_FAILED )
	{
		printf("mmap is failed. errno=%d\n", errno);
		return -2;
	}

	// 1bɃ}bvt@Cɕ.
	for(int i=0; i < 100; i++)
	{
		sprintf(addr, "This is Linux-ELF64 : %d\n", i);
		msync(addr, 4096, 0);	// }bvt@C𓯊.
		sleep(1);
	}

	return 0;
}
